import { IDB2Session } from "../rest/session/doc/IDB2Session";
import { ExportTable } from "./ExportTable";
/**
 * Class to handle exporting DB2 tables
 * @export
 * @class ExportTable
 */
export declare class ExportTableSQL extends ExportTable {
    /**
     * Constructor
     * @param {IDB2Session} session DB2 session parameters
     * @param {string} databaseName Name of the database
     * @param {string} tableName Name of the table
     */
    constructor(session: IDB2Session, databaseName: string, tableName: string);
    /**
     * Export a DB2 table in SQL INSERT format
     * @memberof ExportTableSQL
     */
    export(): IterableIterator<string>;
    /**
     * Make an SQL INSERT statement out of the table metadata and values
     * @param {any} data Object containing row data
     * @returns {string}
     */
    buildInsertStatement(data: any): string;
    /**
     * Add quotes to character types
     * @param {string} columnName Name of the column
     * @param value Value to escape
     * @returns {any}
     */
    escape(columnName: string, value: any): any;
}
