"use strict";
/*
 * This program and the accompanying materials are made available under the terms of the
 * Eclipse Public License v2.0 which accompanies this distribution, and is available at
 * https://www.eclipse.org/legal/epl-v20.html
 *
 * SPDX-License-Identifier: EPL-2.0
 *
 * Copyright Contributors to the Zowe Project.
 *
 */
const DataSet_definition_1 = require("./data-set/DataSet.definition");
const UssFile_definition_1 = require("./uss-file/UssFile.definition");
const Job_definition_1 = require("./job/Job.definition");
const FTPConfig_1 = require("../../api/FTPConfig");
const DeleteDefinition = {
    name: "delete", aliases: ["del"],
    summary: "Delete data sets, jobs, and USS files",
    description: "Delete data sets, jobs, and USS files",
    type: "group",
    children: [DataSet_definition_1.DeleteDataSetDefinition, Job_definition_1.DeleteJobDefinition, UssFile_definition_1.DeleteUssFileDefinition],
    passOn: [
        {
            property: "options",
            value: FTPConfig_1.FTPConfig.FTP_CONNECTION_OPTIONS,
            merge: true,
            ignoreNodes: [
                { type: "group" }
            ]
        }
    ]
};
module.exports = DeleteDefinition;
//# sourceMappingURL=Delete.definition.js.map