"use strict";
/*
* This program and the accompanying materials are made available under the terms of the *
* Eclipse Public License v2.0 which accompanies this distribution, and is available at *
* https://www.eclipse.org/legal/epl-v20.html                                      *
*                                                                                 *
* SPDX-License-Identifier: EPL-2.0                                                *
*                                                                                 *
* Copyright Contributors to the Zowe Project.                                     *
*                                                                                 *
*/
const Program_definition_1 = require("./program/Program.definition");
const Region_definition_1 = require("./region/Region.definition");
const Transaction_definition_1 = require("./transaction/Transaction.definition");
const ImsSessionUtils_1 = require("../ImsSessionUtils");
// Does not use the import in anticipation of some internationalization work to be done later.
const strings = require("../-strings-/en").default.START;
/**
 * Definition for the "start" group of commands under the IMS plugin
 */
const definition = {
    name: "start", aliases: ["sta"],
    summary: strings.SUMMARY,
    description: strings.DESCRIPTION,
    type: "group",
    children: [Program_definition_1.ProgramDefinition,
        Region_definition_1.RegionDefinition,
        Transaction_definition_1.TransactionDefinition],
    passOn: [
        {
            property: "options",
            value: ImsSessionUtils_1.ImsSessionUtils.IMS_CONNECTION_OPTIONS,
            merge: true,
            ignoreNodes: [
                { type: "group" }
            ]
        }
    ]
};
module.exports = definition;
//# sourceMappingURL=Start.definition.js.map