"use strict";
/*
 * This program and the accompanying materials are made available under the terms of the
 * Eclipse Public License v2.0 which accompanies this distribution, and is available at
 * https://www.eclipse.org/legal/epl-v20.html
 *
 * SPDX-License-Identifier: EPL-2.0
 *
 * Copyright Contributors to the Zowe Project.
 *
 */
var __awaiter = (this && this.__awaiter) || function (thisArg, _arguments, P, generator) {
    function adopt(value) { return value instanceof P ? value : new P(function (resolve) { resolve(value); }); }
    return new (P || (P = Promise))(function (resolve, reject) {
        function fulfilled(value) { try { step(generator.next(value)); } catch (e) { reject(e); } }
        function rejected(value) { try { step(generator["throw"](value)); } catch (e) { reject(e); } }
        function step(result) { result.done ? resolve(result.value) : adopt(result.value).then(fulfilled, rejected); }
        step((generator = generator.apply(thisArg, _arguments || [])).next());
    });
};
Object.defineProperty(exports, "__esModule", { value: true });
const SubmitJobHandler_1 = require("../SubmitJobHandler");
const api_1 = require("../../../api");
class SubmitJobFromLocalFileHandler extends SubmitJobHandler_1.SubmitJobHandler {
    processFTP(params) {
        return __awaiter(this, void 0, void 0, function* () {
            this.log.debug("Submitting a job from data set '%s'. Downloading before submitting...", params.arguments.dataSet);
            const options = {
                transferType: api_1.TRANSFER_TYPE_ASCII,
            };
            const dsContent = (yield api_1.DataSetUtils.downloadDataSet(params.connection, params.arguments.dataSet, options)).toString();
            this.log.debug("Downloaded data set '%s'. Submitting...", params.arguments.dataSet);
            return this.submitJCL(dsContent, params);
        });
    }
}
exports.default = SubmitJobFromLocalFileHandler;
//# sourceMappingURL=DataSet.Handler.js.map