"use strict";
/*
 * This program and the accompanying materials are made available under the terms of the
 * Eclipse Public License v2.0 which accompanies this distribution, and is available at
 * https://www.eclipse.org/legal/epl-v20.html
 *
 * SPDX-License-Identifier: EPL-2.0
 *
 * Copyright Contributors to the Zowe Project.
 *
 */
var __awaiter = (this && this.__awaiter) || function (thisArg, _arguments, P, generator) {
    function adopt(value) { return value instanceof P ? value : new P(function (resolve) { resolve(value); }); }
    return new (P || (P = Promise))(function (resolve, reject) {
        function fulfilled(value) { try { step(generator.next(value)); } catch (e) { reject(e); } }
        function rejected(value) { try { step(generator["throw"](value)); } catch (e) { reject(e); } }
        function step(result) { result.done ? resolve(result.value) : adopt(result.value).then(fulfilled, rejected); }
        step((generator = generator.apply(thisArg, _arguments || [])).next());
    });
};
Object.defineProperty(exports, "__esModule", { value: true });
const imperative_1 = require("@zowe/imperative");
const SubmitJobHandler_1 = require("../SubmitJobHandler");
class SubmitJobFromLocalFileHandler extends SubmitJobHandler_1.SubmitJobHandler {
    processFTP(params) {
        return __awaiter(this, void 0, void 0, function* () {
            this.log.debug("Submitting a job from local file %s", params.arguments.file);
            const fileContent = imperative_1.IO.readFileSync(params.arguments.file);
            return this.submitJCL(fileContent.toString(), params);
        });
    }
}
exports.default = SubmitJobFromLocalFileHandler;
//# sourceMappingURL=LocalFile.Handler.js.map